Bug 472540 - gdm is missing defaults.conf
gdm is missing defaults.conf
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
13
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-21 11:34 EST by Jeff Bastian
Modified: 2011-06-27 10:02 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 10:02:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Bastian 2008-11-21 11:34:06 EST
Description of problem:
gdm package in Fedora 10 is missing the /usr/share/gdm/defaults.conf file.

/etc/gdm/custom.conf is a bare skeleton of a file and does not contain any hints of what options can be configured.  In earlier packages, custom.conf contained a note
   # This file overrides the default configuration settings.  These settings
   # are stored in the GDM System Defaults configuration file, which is found
   # at the following location.
   #
   # /usr/share/gdm/defaults.conf.
But this note is missing as is defaults.conf

Some changelog entries hint that the configuration is in gconf now, but there is no documentation on this, at least not that I can find.
  1. The files in /usr/share/doc/gdm-2.24.0/* don't help much
  2. There are no man pages in the gdm package
  3. Upstream docs are for version 2.20 and older
       http://projects.gnome.org/gdm/docs.html

So, how does one configure gdm now?


Version-Release number of selected component (if applicable):
gdm-2.24.0-12.fc10.i386

How reproducible:
Always

Steps to Reproduce:
1. Try to find documentation on what can be set in /etc/gdm/custom.conf
  
Actual results:
No documentation

Expected results:
Documentation

Additional info:
Comment 1 Jeff Bastian 2008-11-21 11:35:17 EST
The custom.conf is truly bare-bones:


$ cat /etc/gdm/custom.conf
# GDM configuration storage

[xdmcp]

[chooser]

[security]

[debug]
Comment 2 Ray Strode [halfline] 2008-11-21 11:42:21 EST
Should probably add a note:

# Available options can be found in /etc/gdm/gdm.schemas
Comment 3 Jeff Bastian 2008-11-21 13:12:14 EST
gdm.schemas is not very human-friendly

1. What are the meanings of all the settings?  The defaults.conf had nice
   lengthy explanations of all settings.  Those are all gone now.

2. How does one change a setting from the default?  I'm *guessing* this
        <schema>
          <key>daemon/User</key>
          <signature>s</signature>
          <default>gdm</default>
        </schema>
   translates to something like this in custom.conf
        [daemon]
        User = bob
   but that's just a guess.
Comment 4 Ray Strode [halfline] 2008-11-21 13:53:41 EST
The guess is right.  We can make the comment more lengthy to describe the translation...
Comment 5 Jeff Bastian 2008-11-21 14:39:27 EST
This may be a different problem, but a lot of options seem to be missing.  For example, I don't see anything about the failsafe sessions in gdm.schemas.  It used to be
  [greeter]
  ShowGnomeFailsafeSession=true
  ShowXtermFailsafeSession=true

Adding those lines to custom.conf doesn't do anything, i.e., gdm does not list a failsafe session.

At a glance, some other useful settings that seem to have gone missing include:
  [daemon]
  DisplayLastLogin=[true|false]

  [greeter]
  SystemMenu=[true|false]

  [security]
  SupportAutomount=[true|false]
  AllowRoot=[true|false]
  NeverPlaceCookiesOnNFS=[true|false]

These options are often used in enterprise environments on trusted networks with automounted NFS home directories.
Comment 6 Ray Strode [halfline] 2008-11-21 14:57:02 EST
Hi,

GDM was rewritten so not all of the old options are available.

There is currently no failsafe session, but you can get a terminal by installing by dropping a desktop file in /etc/dm/Sessions that runs an xterm, or you can install xorg-x11-init-session and put xterm in your .Xclients file.

We don't display last login now at all.

There is no system menu anymore, but some of the stuff that was in the system menu is still around and can be configured with PolicyKit or gconf.

We disallow root by default, but it's configurable using the stand pam mechanism.

Automout just works.  There's no reason to have an option for it.

We never place cookies on nfs period. There's no reason to.
Comment 8 Bug Zapper 2008-11-26 00:43:57 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Deke Clinger 2009-04-20 21:38:48 EDT
"We never place cookies on nfs period. There's no reason to."

That's going to be a big problem for certain enterprise customers getting RHEL or various other products that use this codebase. Cookies on NFS is pretty much mandatory for software like Platform LSF that big EDA houses depend on to manage compute clusters. 

Strongly suggest you reconsider this stance.

-Deke
Comment 10 Bug Zapper 2009-11-18 03:55:45 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-12-18 01:54:39 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 12 Pavel Alexeev 2010-07-01 05:16:13 EDT
There are still no man or usefull documentation, or simple config file with descriptive list of options.

I want setup Multi-Seat environment, but seams GDM now fully ignore any Server* settings and sections in /etc/gdm/custom.conf file... It even had not say about it in ligs at all!
Comment 13 Bug Zapper 2011-06-02 14:23:38 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Fedora Admin XMLRPC Client 2011-06-21 11:38:58 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 15 Fedora Admin XMLRPC Client 2011-06-21 11:39:44 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 16 Fedora Admin XMLRPC Client 2011-06-21 11:42:03 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 17 Fedora Admin XMLRPC Client 2011-06-21 11:44:47 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 18 Fedora Admin XMLRPC Client 2011-06-21 11:54:47 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 19 Fedora Admin XMLRPC Client 2011-06-21 11:57:42 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 20 Fedora Admin XMLRPC Client 2011-06-21 12:00:12 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 21 Fedora Admin XMLRPC Client 2011-06-21 12:01:49 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 22 Pavel Alexeev 2011-06-25 12:22:25 EDT
This package so much times changed ownership at few minutes??? And still no fixes of problem...
Comment 23 Bug Zapper 2011-06-27 10:02:32 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.